package cn.iocoder.yudao.module.member.dal.mysql.customizeExcel;


import cn.iocoder.yudao.module.member.controller.admin.customizeExcel.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CustomizeExcelMapper {


    List<OrderExcelVO> selectOrder(@Param("startTime")String startTime, @Param("endTime")String endTime, @Param("carteenId")Long carteenId);

    List<StoreOrderExcelVO> selectStoreOrder(@Param("startTime")String startTime, @Param("endTime")String endTime, @Param("carteenId")Long carteenId);

    List<StoreSaleGoodsVO> selectStoreSaleGoods(@Param("startTime")String startTime, @Param("endTime")String endTime, @Param("carteenId")Long carteenId);

    List<GroupOrderVO> exportGroupOrderExcel(@Param("startTime")String startTime, @Param("endTime")String endTime, @Param("carteenId")Long carteenId, @Param("groupId")Long groupId);

    List<GroupStoreOrderVO> exportGroupStoreOrderExcel(@Param("startTime")String startTime, @Param("endTime")String endTime, @Param("carteenId")Long carteenId, @Param("groupId")Long groupId);

    List<SubsidyExcelVO> exportSubsidyExcel(@Param("startTime")String startTime, @Param("endTime")String endTime, @Param("carteenId")Long carteenId);

    List<CashAmountExcelVO> exportCashAmountExcel(@Param("startTime")String startTime, @Param("endTime")String endTime, @Param("carteenId")Long carteenId);

    List<ActivityMxVO> exportActivityMx();

    List<ActivityReserveVO> exportActivityReserve();

    List<OverspendingVO> exportOverspending(@Param("startTime")String startTime, @Param("endTime")String endTime, @Param("groupId")Long groupId);

}
